using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Base.Data.Caching;
using Vevo.Domain;
using Vevo.Domain.DataInterfaces;
using Vevo.Domain.Configurations;
using Vevo.Base.Domain;

namespace Vevo.Data
{
    public class HelpRepository : IHelpRepository
    {
        #region Private
        private const string RepositoryName = "HelpRepository";
        private const string GetOneSignature = "GetOne";
        private const string TableName = "Help";
        private DataCache _dataCache = new DataCache( RepositoryName );
        private ICacheDependencyUtility _cacheDependency = new CacheDependencyUtility( TableName );

        private HelpRepositoryNoCache _repository = new HelpRepositoryNoCache();

        #endregion

        #region Constructors

        public HelpRepository()
        {
        }

        public HelpRepository( ICacheDependencyUtility cacheDependency )
        {
            _cacheDependency = cacheDependency;
        }

        #endregion

        #region Public Methods

        public Help GetOne( Culture culture, string keyName )
        {
            Help result = (Help) _dataCache.GetValue( GetOneSignature, _cacheDependency, culture.CultureID, keyName );

            if (result == null)
            {
                result = _repository.GetOne( culture ,keyName );
                _dataCache.SetValue( GetOneSignature, result, culture.CultureID, keyName );
            }

            return result;
        }



        #endregion

    }
}
