using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Shared.Utilities;

namespace Vevo.Domain.Contents
{
    public class ContentMenu : ICloneable
    {
        #region Private

        private const int RootContentMenuID = 4;

        private string _contentMenuID = "0";
        private bool _isEnabled = true;

        #endregion

        #region Public Constructors

        public ContentMenu()
        {
        }

        #endregion

        #region Public Properties

        public static ContentMenu Null
        {
            get { return NullContentMenu.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string ContentMenuID { get { return _contentMenuID; } set { _contentMenuID = value; } }
        public bool IsEnabled { get { return _isEnabled; } set { _isEnabled = value; } }

        #endregion

        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            ContentMenu newObject = (ContentMenu) MemberwiseClone();
            return newObject;
        }

        #endregion

        #region Public Method

        public static bool IsRootMenuID( string contentMenuID )
        {
            if (contentMenuID == "1")
                return true;
            else if (DataAccessContext.Configurations.GetValue( "TopContentMenu" ) == contentMenuID)
                return true;
            else if (DataAccessContext.Configurations.GetValue( "LeftContentMenu" ) == contentMenuID)
                return true;
            else if (DataAccessContext.Configurations.GetValue( "RightContentMenu" ) == contentMenuID)
                return true;
            else return false;

        }

        #endregion
    }
}
