﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;
using Vevo.Domain.Base;

namespace Vevo.WebServices.Customers
{
    [DataContract( Name = "CustomerConstraints" )]
    public class CustomerConstraints
    {
        #region Base Contract
        [DataMember( IsRequired = true )]
        public string CustomerID = "0";
        [DataMember]
        public DateTime RegisterDate = DateTime.Now;
        [DataMember( IsRequired = true )]
        public string UserName = String.Empty;
        [DataMember( IsRequired = true )]
        public string Email = String.Empty;
        [DataMember]
        public bool UseBillingAsShipping = true;
        [DataMember]
        public string MerchantNotes = String.Empty;
        [DataMember]
        public bool IsWholesale = false;
        [DataMember]
        public int WholesaleLevel = 0;
        [DataMember]
        public string AffiliateCode = String.Empty;
        [DataMember]
        public DateTime AffiliateExpireDate = DateTime.Now;
        [DataMember]
        public bool IsTaxExempt = false;
        [DataMember]
        public bool IsEnabled = true;
        [DataMember]
        public string QBListID = String.Empty;
        [DataMember]
        public bool IsQBExported = false;
        [DataMember]
        public string TaxExemptID = String.Empty;
        [DataMember]
        public string TaxExemptCountry = String.Empty;
        [DataMember]
        public string TaxExemptState = String.Empty;

        [DataMember( IsRequired = true )]
        public AddressConstraints BillingAddress;
        [DataMember]
        public IList<ShippingAddressConstraints> ShippingAddress;

        #endregion

        #region Base Contract: Version 5.3
        [DataMember]
        public IList<CustomerSubscriptionConstraints> CustomerSubscriptions;


        #endregion
    }
}
