using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Security.Permissions;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Vevo.WebUI.ServerControls
{
    [
    DefaultProperty( "Text" ),
    ToolboxData( "<{0}:AdvanceButton runat=\"server\"></{0}:AdvanceButton>" )
    ]
    public class AdvanceButton : System.Web.UI.WebControls.Button, System.Web.UI.IPostBackEventHandler
    {
        /*----------- For this control if not button to use OnClick attribute --------------*/
        // Defines the Click event.
        //public event EventHandler Click;

        //Invoke delegates registered with the Click event.
        //protected virtual void OnClick( EventArgs e )
        //{
        //    if (Click != null)
        //    {
        //        Click( this, e );
        //    }
        //} 
        // reference : http://www.syncfusion.com/FAQ/aspnet/WEB_c33c.aspx
        // 30.4 How can you write events for the server controls?

        /*----------------------------------------------------------------------------------*/
        /*----------------------------------------------------------------------------------*/
        /*----------------------------------------------------------------------------------*/

        protected override void Render( System.Web.UI.HtmlTextWriter writer )
        {
            writer.Write( String.Format( "<div class=\'{0}\'><div class=\'{1}\'>", CssClassBegin, CssClassEnd ) );
            if (!ShowText)
                this.Text = "";
            base.Render( writer );
            writer.Write( "</div></div>" );
        }

        protected void Control_Load( object sender, EventArgs e )
        {
            if (OnClickGoTo == Position.Top)
            {
                this.OnClientClick = "gotoContentTop();";
            }
        }

        public AdvanceButton()
        {
            Load += new EventHandler( Control_Load );
        }

        public string CssClassBegin
        {
            get
            {
                if (ViewState["CssClassBegin"] != null)
                    return (string) ViewState["CssClassBegin"];
                else
                    return String.Empty;
            }
            set
            {
                ViewState["CssClassBegin"] = value;
            }
        }

        public string CssClassEnd
        {
            get
            {
                if (ViewState["CssClassEnd"] != null)
                    return (string) ViewState["CssClassEnd"];
                else
                    return String.Empty;
            }
            set
            {
                ViewState["CssClassEnd"] = value;
            }
        }

        public Position OnClickGoTo
        {
            get
            {
                if (ViewState["OnClickGoTo"] != null)
                    return (Position) ViewState["OnClickGoTo"];
                else
                    return Position.None;
            }
            set
            {
                ViewState["OnClickGoTo"] = value;
            }
        }

        public bool ShowText
        {
            get
            {
                if (ViewState["ShowText"] == null)
                    return true;
                else
                    return (bool) ViewState["ShowText"];
            }
            set
            {
                ViewState["ShowText"] = value;
            }
        }
    }
}